﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using Syncfusion.JavaScript.DataVisualization.Models;

namespace WebApplication2
{
    public partial class _Default : Page
    {
        
        protected void Page_Load(object sender, EventArgs e)
        {

            BindingData();
        }
        private void BindingData()
        {
            List<Data> lst = new List<Data>();

            lst.Add(new Data() { Week = 39, Status = "AR", Range0 = 50, Range1 = 15, Range2 = 3, Rotation = 1.51 });
            lst.Add(new Data() { Week = 39, Status = "ON", Range0 = 0, Range1 = 13, Range2 = 35, Rotation = 1.51 });
            lst.Add(new Data() { Week = 39, Status = "OT", Range0 = 0, Range1 = 18, Range2 = 27, Rotation = 1.51 });

            lst.Add(new Data() { Week = 40, Status = "AR", Range0 = 12, Range1 = 27, Range2 = 2, Rotation = 0.8 });
            lst.Add(new Data() { Week = 40, Status = "ON", Range0 = 0, Range1 = 9, Range2 = 45, Rotation = 0.8 });
            lst.Add(new Data() { Week = 40, Status = "OT", Range0 = 0, Range1 = 34, Range2 = 17, Rotation = 0.8 });

            lst.Add(new Data() { Week = 41, Status = "AR", Range0 = 14, Range1 = 12, Range2 = 6, Rotation = 1.68 });
            lst.Add(new Data() { Week = 41, Status = "ON", Range0 = 0, Range1 = 38, Range2 = 45, Rotation = 1.68 });
            lst.Add(new Data() { Week = 41, Status = "OT", Range0 = 0, Range1 = 18, Range2 = 7, Rotation = 1.68 });

            lst.Add(new Data() { Week = 41, Status = "AR", Range0 = 2, Range1 = 15, Range2 = 4, Rotation = 0.48 });
            lst.Add(new Data() { Week = 41, Status = "ON", Range0 = 0, Range1 = 35, Range2 = 64, Rotation = 0.48 });
            lst.Add(new Data() { Week = 41, Status = "OT", Range0 = 0, Range1 = 37, Range2 = 7, Rotation = 0.48 });

            //chartInforme.PrimaryXAxis.Range.Min = -1;
            //chartInforme.PrimaryXAxis.Range.Max = 12;

            chartInforme.PrimaryXAxis.Range.Interval = 1;
            this.chartInforme.Axes[0].Range.Min = 0;
            this.chartInforme.Axes[0].Range.Max = 5;
            this.chartInforme.Annotations[0].X = 150;
            this.chartInforme.Annotations[0].Y = 200;
            this.chartInforme.Annotations[1].X = 450;
            this.chartInforme.Annotations[1].Y = 400;
            this.chartInforme.Annotations[2].X = 750;
            this.chartInforme.Annotations[2].Y = 400;
            this.chartInforme.Annotations[3].X = 1050;
            this.chartInforme.Annotations[3].Y = 400;
            //this.chartInforme.Axes[0].Range.Interval = .2;
            this.chartInforme.DataSource = lst;
            this.chartInforme.DataBind();
        }
       
        

       
               
    }
    [Serializable]

    public class Data
    {
        public int Week { get; set; }

        public string Status { get; set; }

        public int Range0 { get; set; }

        public int Range1 { get; set; }

        public int Range2 { get; set; }

        public double Rotation { get; set; }
    }
}